/*
 * $Id: Config.h,v 1.10 2002/09/14 03:02:19 apa Exp $
 */

PROG(calcip, "Perform simple manipulation of IP addresses", /bin )
PROG(cu, "Comm terminal utility", /bin )
PROG(flctl, "Format /dev/flash", /sbin )
PROG(inetd, "InetD superserver", /sbin )
//PROG(ifenslave, "Configure network interfaces for parallel routing", /sbin )
PROG(netstat, "Print network statistics,", /bin )
PROG(sethdlc, "Configure WAN interface", /sbin )
PROG(sntp, "Set system time from NTP server using SNTP (rfc1361) protocol", /sbin )
PROG(telnetd, "Telnet daemon", /sbin )
PROG(who, "Show who is logged on", /bin )
PROG(x25d, "X.25 daemon", /sbin )
PROG(x25route, "Manipulate of X.25 routing table", /sbin )

/*****************************************************************************/

#ifndef GWBOX_USAGES
#define GWBOX_USAGES

#define calcip_usage \
	"[-p prefix] IP.ADD.RE.SS[/MASK]"

#define cu_usage \
        "[options]\n" \
	"  Options:\n" \
	"\t-l <device>   : Use <device> instead of /dev/modem\n" \
	"\t-s <speed>    : Setup <device> with <speed>\n"

#define flctl_usage \
	"<flash_device> [<command> [<param>...]]\n" \
	"Commands:\n" \
	"\tinfo\n" \
	"\terase [<start_sector> [<num_of_sectors>]]"

#define ifenslave_usage \
	"[-adfrvVh] <master-interface> < <slave-if> [metric <N>] > ...\n" \
	"ifenslave -c master-interface slave-if\n\n" \
	"To create a bond device, simply follow these three steps :\n" \
	"- ensure that the required drivers are properly loaded :\n" \
	"  # modprobe bonding ; modprobe <3c59x|eepro100|pcnet32|tulip|...>\n" \
	"- assign an IP address to the bond device :\n" \
	"  # ifconfig bond0 <addr> netmask <mask> broadcast <bcast>\n" \
	"- attach all the interfaces you need to the bond device :\n" \
	"  # ifenslave bond0 eth0 eth1 eth2\n" \
	"If bond0 didn't have a MAC address, it will take eth0's. Then, all\n" \
	"interfaces attached AFTER this assignment will get the same MAC addr.\n" \
	"\n" \
	"To detach a dead interface without setting the bond device down :\n" \
	" # ifenslave -d bond0 eth1\n" \
	"\n" \
	"To set the bond device down and automatically release all the slaves :\n" \
	" # ifconfig bond0 down\n" \
	"\n" \
	"To change active slave :\n" \
	" # ifenslave -c bond0 eth0\n"

#define inetd_usage \
	"[-d] [-R rate] [conf-file]"

#define netstat_usage \
	"[-rnal]"

#define sethdlc_usage \
	"INTERFACE [PHYSICAL] [clock CLOCK] [LOOPBACK] [slotmap SLOTMAP]\n" \
	"\tsethdlc INTERFACE [PROTOCOL]\n" \
	"\tsethdlc INTERFACE create | delete DLCI\n" \
	"\tsethdlc INTERFACE private...\n" \
	"\n" \
	"PHYSICAL := v24 | v35 | x21 | e1 | t1\n" \
	"CLOCK := int [rate RATE] | ext | txint [rate RATE] | txfromrx\n" \
	"LOOPBACK := loopback | lb\n" \
	"\n" \
	"PROTOCOL := hdlc [ENCODING] [PARITY] |\n" \
	"            cisco [interval val] [timeout val] |\n" \
	"            fr [lmi LMI] |\n" \
	"            ppp |\n" \
	"            x25\n" \
	"\n" \
	"ENCODING := nrz | nrzi | fm-mark | fm-space | manchester\n" \
	"PARITY := no-parity | crc16 | crc16-pr0 | crc16-itu | crc16-itu-pr0 | crc32-itu\n" \
	"LMI := none | ansi [LMI_SPEC] | ccitt [LMI_SPEC]\n" \
	"LMI_SPEC := [dce] [t391 val] [t392 val] [n391 val] [n392 val] [n393 val]\n"

#define sntp_usage \
	"<ntp server>"

#define telnetd_usage \
	"[-l loginprogram]"

#define who_usage \
	""

#define x25d_usage \
	"[-d dev] <X.121 ADDRESS>"

#define x25route_usage \
	"[add|del <address>[/<mask>] <dev>]"

#endif /* GWBOX_USAGES */
