/*
 *	Copyright (c) 2002 by Andy Pershin <apa@puug.org.ru>
 *
 *	This program is free software; you can redistribute it
 *	and/or  modify it under  the terms of  the GNU General
 *	Public  License as  published  by  the  Free  Software
 *	Foundation;  either  version 2 of the License, or  (at
 *	your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY  or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 * $Id: gwbox.h,v 1.6 2002/10/03 13:03:18 apa Exp $
 */

#ifndef _GWBOX_H_
#define _GWBOX_H_

#undef PROG

#define PROG(a, b, c) extern int a##_main(int argc, char *argv[]);
#include "Config.h"

/* for log() */
#include <syslog.h>

void usage(const char *prog);
void log(const char *prog, int level, char *fmt, ...);
void issue(int fd);
int sock2fd(int sock, int fd, int timeout, const char *prog,
			int (*filter1)(unsigned char *buf, int len),
			int (*filter2)(unsigned char *buf, int len));

void show_x25_route(void);
int make_daemon(const char *prog, void (*handler)(const int sig));
void clearutmp(const char *tty);

#endif /* _GWBOX_H_ */
