/*
 *		gwbox: main program
 *
 *	Copyright (c) 2002 by Andy Pershin <apa@puug.org.ru>
 *
 *	This program is free software; you can redistribute it
 *	and/or  modify it under  the terms of  the GNU General
 *	Public  License as  published  by  the  Free  Software
 *	Foundation;  either  version 2 of the License, or  (at
 *	your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY  or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 * $Id: main.c,v 1.3 2002/09/12 19:14:28 apa Exp $
 */

#include <stdio.h>
#include <string.h>

#include "gwbox.h"

#undef PROG
#define PROG(a, b, c) { #a, &a##_main, b },

int main (int argc, char *argv[]) {

    int i;
    char *prog = strrchr(argv[0], '/');
    const struct {
	char *name;
	int (*prog)(int ac, char *av[]);
	char *descr;
    } gwbox[] = {
#include "Config.h"
	{ NULL, NULL, NULL },
    };

    if (prog != NULL) {
	prog++;
	argv[0] = prog;
    }

    i = 0;
    while (gwbox[i].name) {
	if (strcmp(argv[0], gwbox[i].name) == 0) return gwbox[i].prog(argc, argv);
	i++;
    }
    fprintf(stderr, "Wrong name for gwbox: \"%s\"\n", argv[0]);
    fprintf(stderr, "Available commands:\n");
    i = 0;
    while (gwbox[i].name) {
	fprintf(stderr, "%-15s: %s\n", gwbox[i].name, gwbox[i].descr);
	i++;
    }
    return 1;
}
