/*
 *        Some support functions (ala libbb.a from busybox :-))
 *
 *	Copyright (c) 2002 by Andy Pershin <apa@puug.org.ru>
 *
 *	This program is free software; you can redistribute it
 *	and/or  modify it under  the terms of  the GNU General
 *	Public  License as  published  by  the  Free  Software
 *	Foundation;  either  version 2 of the License, or  (at
 *	your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY  or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 * $Id: usage.c,v 1.2 2002/09/09 18:19:06 apa Exp $
 */

#include <stdio.h>
#include <string.h>

#include "gwbox.h"

#undef PROG
#define PROG(a, b, c) { #a, a##_usage },

void usage(const char *prog) {

    int i;
    const struct {
	char *name;
	char *usage;
    } u[] = {
#include "Config.h"
	{ NULL, NULL, }
    };

    i = 0;
    while (u[i].name) {
	if (strcmp(prog, u[i].name) == 0) {
	    fprintf(stderr, "Usage: %s %s\n", prog, u[i].usage);
	    return;
	}
	i++;
    }
    fprintf(stderr, "Usage: %s [NO HELP AVAILABLE]\n", prog);
}
